<mat-card-header>
  <mat-card-title>
    Lista stanowisk w firmie:
  </mat-card-title>
</mat-card-header>
<mat-card-content class="height-300">
  <mat-list>
    <div *ngIf="(positions$ | async) as positions; else loading">
      <ng-container *ngIf="positions.length; else noPositions">
        <mat-list-item *ngFor="let position of positions">
          <h4 mat-line>{{position.name}}</h4>
          <p mat-line> Stanowisko kierownicze: {{position.isManagerialPosition ? 'tak' : 'nie'}} </p>

          <ng-container *ngIf="currentUser?.permissions?.canEditCompany">
            <button mat-icon-button mat-list-icon matTooltip="Edytuj stanowisko"
                    (click)="onUpdatePositionDialog(position.id)" class="order-2">
              <mat-icon>edit</mat-icon>
            </button>
            <button color="warn" mat-list-icon mat-icon-button matTooltip="Usuń stanowisko"
                    (click)="onRemovePosition(position.id, position.name)">
              <mat-icon>delete_outline</mat-icon>
            </button>
          </ng-container>

        </mat-list-item>
      </ng-container>
      <ng-template #noPositions>Nie dodano jeszcze żadnych stanowisk.
      </ng-template>
    </div>
    <ng-template #loading>Ładowanie danych...</ng-template>
  </mat-list>
</mat-card-content>

<ng-container *ngIf="currentUser?.permissions?.canEditCompany">
  <mat-card-actions>
    <button mat-raised-button (click)="onCreatePositionDialog()">
      <mat-icon>add</mat-icon>
      Dodaj
    </button>
  </mat-card-actions>
</ng-container>
